from django.conf.urls import url
from .views import ListNewsView, EditNewsView, ViewNewsView, AddNewsView
from .autocomplete import *


urlpatterns = [
    url(r'^$', ListNewsView.as_view(), name='list_news'),
    url(r'^(?P<id>[0-9]+)$', EditNewsView.as_view(), name='edit_news'),
    url(r'^view/(?P<id>[0-9]+)$', ViewNewsView.as_view(), name='view_news'),
    url(r'^auto/(?P<slug>\w+)$', auto, name='auto'),
    url(r'^add/$', AddNewsView.as_view(), name='add_news')
]